﻿import { Action } from './Action.js';
import { md5 } from '../lib/md5.js';
/**
 * @class Logout
 * @extends Action
 * @classdesc Действие Завершить сессию
 * Разлогиниться из системы
 * */
export class Logout extends Action {
    execute() {
        const event = new CustomEvent('ms_message');
        event.data = { event: 'logout', password: /*_globalParams.RequestPasswordOnLogout ?*/ this.Password /*: null*/ };
        window.dispatchEvent(event);
    }

    get Password() {
        return this._password || '';
    }
    set Password(value) {
        if (!$sw.serverState.LoginData.disableHashPassword && value && value.length !== 32) {
            const toMd5 = new md5();
            this._password = toMd5.md5(value);
        } else {
            this._password = value;
        }
    }
}